The Imagick class
Imagick::adaptiveResizeImage
The Imagick class
PHP Manual

# Imagick::adaptiveBlurImage

(No version information available, might be only in CVS)

Imagick::adaptiveBlurImage — Adds adaptive blur filter to image

### Description

bool Imagick::adaptiveBlurImage ( float `$radius` , float `$sigma` [, int `$channel` ] )

Adds an adaptive blur filter to image. The intensity of an adaptive blur depends is dramatically decreased at edge of the image, whereas a standard blur is uniform across the image.

### Parameters

`radius`

  The radius of the Gaussian, in pixels, not counting the center pixel. Provide a value of 0 and the radius will be chosen automagically.

`sigma`

  The standard deviation of the Gaussian, in pixels.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::adaptiveBlurImage():

Adaptively blur an image, then display to the browser.

`<?php
header('Content-type: image/jpeg');
$image = new Imagick('test.jpg');
$image->adaptiveBlurImage(5,3);
echo $image;
?>`

### See Also

- Imagick::blurImage()
- Imagick::motionBlurImage()
- Imagick::radialBlurImage()

The Imagick class
Imagick::adaptiveResizeImage
The Imagick class
PHP Manual